using System;
using System.Collections.Generic;
using System.Web.Http;
using MarketData;
using MarketData.DataAccess;
using MarketDataServer.Authorization;

namespace MarketDataServer.Controllers
{
  public class WatchListController : ApiController
  {
    public IEnumerable<String> GetWatchList(String token,String watchList)
    {
      MDTrace.WriteLine(LogLevel.DEBUG,String.Format("[{0:G}][WatchListController::GetWatchList]", DateTime.Now));
      if (!Authorizations.GetInstance().IsAuthorized(token)) return null;
      return WatchListDA.GetWatchList(watchList);
    }
  }
}
